Bug 168379 - [exp-run] [PATCH] bsd.perl.mk stop clobbering USE_PERL5 values
Summary: [exp-run] [PATCH] bsd.perl.mk stop clobbering USE_PERL5 values
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-27 17:20 UTC by Chris Rees
Modified: 2012-07-01 17:40 UTC (History)
0 users

See Also:


Attachments
patch.txt (584 bytes, text/plain)
2012-05-27 17:20 UTC, Chris Rees
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees freebsd_committer 2012-05-27 17:20:00 UTC
	When PERL_CONFIGURE is defined the value in USE_PERL5 is clobbered; the version number is no longer visible and tests on versions fail.

How-To-Repeat: 	http://lists.freebsd.org/pipermail/freebsd-ports/2012-May/075195.html
Comment 1 Edwin Groothuis freebsd_committer 2012-05-27 17:20:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

bsd.perl.mk is perl territory (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees 2012-05-27 18:09:43 UTC
Sorry, should clarify.

The version tests work, but the lazy evaluation of the IGNORE message results in the modified variables becoming blank when USE_PERL5 is set to "yes".
Comment 3 Chris Rees freebsd_committer 2012-05-28 19:45:21 UTC
Responsible Changed
From-To: perl->portmgr

Great, no objections.  Does this need an exp-run?
Comment 4 Chris Rees freebsd_committer 2012-07-01 17:38:33 UTC
State Changed
From-To: open->closed
Comment 5 Chris Rees freebsd_committer 2012-07-01 17:38:33 UTC
Responsible Changed
From-To: portmgr->crees

I'll take that as a 'no', then.  I have studied this carefully, and there 
are no tests for USE_PERL5 == "yes" anywhere.
Comment 6 dfilter service freebsd_committer 2012-07-01 17:39:11 UTC
crees       2012-07-01 16:38:22 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.perl.mk 
  Log:
  Don't clobber USE_PERL5 values when USE_PERL5 is set.
  
  Example of the problems caused:
  
  http://lists.freebsd.org/pipermail/freebsd-ports/2012-May/075194.html
  
  PR:             ports/168379
  Submitted by:   crees
  Reviewed by:    Silence on perl@ for over a month
  
  Revision  Changes    Path
  1.27      +2 -2      ports/Mk/bsd.perl.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"